org.gnome.sourceview

## Class StyleSchemeManager

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.sourceview.StyleSchemeManager

-     public class StyleSchemeManager
      extends Object

  StyleSchemeManager provides access to `StyleScheme`s.
  Since:
    4.1.2
  Author:
    Georgios Migdos

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StyleSchemeManager` | `getDefault()` Return the default StyleSchemeManager instance.
    `StyleScheme` | `getScheme(String schemeID)` Return a scheme specified by its ID or `null` if the ID is not known.
    `String[]` | `getSchemeIDs()` Return a `String` array containing the the ids of the available style schemes or `null` if no style scheme is available.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDefault

          public static StyleSchemeManager getDefault()

      Return the default StyleSchemeManager instance.
      Since:
        4.1.2

    - #### getScheme

          public StyleScheme getScheme(String schemeID)

      Return a scheme specified by its ID or `null` if the ID is not known.
      Since:
        4.1.2

    - #### getSchemeIDs

          public final String[] getSchemeIDs()

      Return a `String` array containing the the ids of the available style schemes or `null` if no style scheme is available.
      Since:
        4.1.2